## mender-artifact 4.2.0~git20250724.c5f6563

=== debian/changelog ===
mender-artifact (4.2.0~git20250724.c5f6563-1+debian+bullseye+builder1950356287) experimental; urgency=medium

  * Release 4.2.0~git20250724.c5f6563-
    1+debian+bullseye+builder1950356287. See online docs for complete
    changelog

 -- root <root@272f79e88723>  Sun, 27 Jul 2025 20:09:16 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make CGO_CFLAGS="${CGO_CFLAGS}" CGO_LDFLAGS="${CGO_LDFLAGS}" CC="${CC}" \
	GOOS=linux CGO_ENABLED=1 build

override_dh_auto_install:
	install -d debian/mender-artifact/usr/bin
	install -m 0755 mender-artifact debian/mender-artifact/usr/bin/mender-artifact

override_dh_auto_test:
	true

override_dh_strip:
	${CROSS_COMPILE}-strip --remove-section=.comment --remove-section=.note \
	debian/mender-artifact/usr/bin/mender-artifact

## mender-artifact 4.2.0~git20250729.f2b5941

=== debian/changelog ===
mender-artifact (4.2.0~git20250729.f2b5941-1+debian+bullseye+builder1978544765) experimental; urgency=medium

  * Release 4.2.0~git20250729.f2b5941-
    1+debian+bullseye+builder1978544765. See online docs for complete
    changelog

 -- root <root@fd4824e32e4f>  Mon, 11 Aug 2025 20:08:54 +0000

## mender-artifact 4.2.0~git20250812.fca75bf

=== debian/changelog ===
mender-artifact (4.2.0~git20250812.fca75bf-1+debian+bullseye+builder1988264851) experimental; urgency=medium

  * Release 4.2.0~git20250812.fca75bf-
    1+debian+bullseye+builder1988264851. See online docs for complete
    changelog

 -- root <root@9c3f0297f31b>  Sun, 17 Aug 2025 20:09:18 +0000

## mender-artifact 4.2.0~git20250818.d39ce4d

=== debian/changelog ===
mender-artifact (4.2.0~git20250818.d39ce4d-1+debian+bullseye+builder1997198446) experimental; urgency=medium

  * Release 4.2.0~git20250818.d39ce4d-
    1+debian+bullseye+builder1997198446. See online docs for complete
    changelog

 -- root <root@ef8f2944a3b2>  Thu, 21 Aug 2025 20:08:36 +0000

## mender-artifact 4.2.0~git20250822.fb47311

=== debian/changelog ===
mender-artifact (4.2.0~git20250822.fb47311-1+ubuntu+noble+builder2000901231) experimental; urgency=medium

  * Release 4.2.0~git20250822.fb47311-1+ubuntu+noble+builder2000901231.
    See online docs for complete changelog

 -- root <root@152f36badd7b>  Mon, 25 Aug 2025 06:48:43 +0000

## mender-artifact 4.2.0~git20250826.d5f07e5

=== debian/changelog ===
mender-artifact (4.2.0~git20250826.d5f07e5-1+ubuntu+noble+builder2007416661) experimental; urgency=medium

  * Release 4.2.0~git20250826.d5f07e5-1+ubuntu+noble+builder2007416661.
    See online docs for complete changelog

 -- root <root@079fa646b2bb>  Wed, 27 Aug 2025 20:12:40 +0000

## mender-artifact 4.2.0~git20251002.814ed9c

=== Makefile ===
GO ?= go
GOFMT ?= gofmt
V ?=
PREFIX ?= /usr/local
PKGS = $(shell go list ./... | tr '\n' ',' | head -c -1)
PKGNAME = mender-artifact
PKGFILES = $(shell find . \( -path ./vendor -o -path ./Godeps \) -prune \
		-o -type f -name '*.go' -print)
PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v _test.go)
GOCYCLO ?= 20

GOARCH ?= $(shell go env GOARCH)
GOOS ?= $(shell go env GOOS)

CGO_ENABLED=1
export CGO_ENABLED

TOOLS = \
	github.com/fzipp/gocyclo/... \
	github.com/opennota/check/cmd/varcheck \
	github.com/mendersoftware/deadcode \
	github.com/mendersoftware/gobinarycoverage

VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)

GO_LDFLAGS = \
	-ldflags "-X github.com/mendersoftware/mender-artifact/cli.Version=$(VERSION)"

ifeq ($(V),1)
BUILDV = -v
endif

TAGS ?=
ifneq ($(GOOS),linux)
	TAGS += nopkcs11
endif

default: help

help:
	@echo "make [TARGETS...]"
	@echo
	@echo "The following targets are available:"
	@echo
	@echo "    help:               Print this usage information."
	@echo
	@echo "    build:              Build the code on the localhost"
	@echo "    build-contained:    Build the code in the container"
	@echo "    clean:              Remove build artifacts"
	@echo
	@echo "    install:            Install build artifacts on the locally"
	@echo "    uninstall:          Uninstall build artifacts from the localhost"
	@echo
	@echo "    test:               Run tests"
	@echo "    check:              Run various code checking tools"
	@echo "    coverage:           Run code coverage checks"

build:
	$(GO) build $(GO_LDFLAGS) $(BUILDV) -tags '$(TAGS)'

PLATFORMS := darwin linux windows

$(PKGNAME)-%:
	env CGO_ENABLED=$(CGO_ENABLED) \
		GOARCH=$(GOARCH) \
		GOOS=$(GOOS) \
		go build \
		    -a $(GO_LDFLAGS) $(BUILDV) -tags '$(TAGS)' \
		    -o $@

.nopkcs11:
	$(warning "WARNING: Building without pkcs11 support")

build-native-linux: $(PKGNAME)-linux

build-native-mac: GOOS = darwin
build-native-mac: TAGS = nopkcs11
build-native-mac: CGO_ENABLED = 0
build-native-mac: .nopkcs11 $(PKGNAME)-darwin

build-native-windows: GOOS = windows
build-native-windows: TAGS = nopkcs11
build-native-windows: GO_LDFLAGS = -ldflags "-X github.com/mendersoftware/mender-artifact/cli.Version=44d6905 -linkmode=internal -s -w -extldflags '-static' -extld=x86_64-w64-mingw32-gcc"
build-native-windows: .nopkcs11 $(PKGNAME)-windows.exe

build-natives: build-native-linux build-native-mac build-native-windows

build-contained:
	rm -f mender-artifact && \
	image_id=$$(docker build -f Dockerfile -q .) && \
	docker run --rm --entrypoint "/bin/sh" -v $(shell pwd):/binary $$image_id -c "cp /go/bin/mender-artifact /binary" && \
	docker image rm $$image_id

build-natives-contained:
	rm -f mender-artifact-darwin mender-artifact-linux mender-artifact-windows.exe && \
	image_id=$$(docker build -f Dockerfile.binaries -q .) && \
	docker run --rm --entrypoint "/bin/sh" -v $(shell pwd):/binary $$image_id -c "cp /go/bin/mender-artifact* /binary" && \
	docker image rm $$image_id

install:
	@$(GO) install $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

install-autocomplete-scripts:
	@echo "Installing Bash auto-complete script into $(DESTDIR)/etc/bash_completion.d/"
	@install -Dm0644 ./autocomplete/bash_autocomplete $(DESTDIR)/etc/bash_completion.d/mender-artifact
	@if which zsh >/dev/null 2>&1 ; then \
		echo "Installing zsh auto-complete script into $(DESTDIR)$(PREFIX)/share/zsh/site-functions/" && \
		install -Dm0644 ./autocomplete/zsh_autocomplete $(DESTDIR)$(PREFIX)/share/zsh/site-functions/_mender-artifact \
	; fi


clean:
	$(GO) clean
	rm -f mender-artifact-darwin mender-artifact-linux mender-artifact-windows.exe
	rm -f coverage.txt coverage-tmp.txt

get-tools:
	set -e ; for t in $(TOOLS); do \
		echo "-- go getting $$t"; \
		go get -u $$t; \
	done
	go mod vendor

get-build-deps:
	apt-get update -qq
	apt-get install -yyq $(shell cat deb-requirements.txt)

check: test extracheck

tooldep:
	echo "check if mtools is installed on the system"
	mtools --version

test: tooldep
	$(GO) test -v $(PKGS)

extracheck:
	echo "-- checking if code is gofmt'ed"
	@if [ -n "$$($(GOFMT) -d $(PKGFILES))" ]; then \
		"$$($(GOFMT) -d $(PKGFILES))" \
		echo "-- gofmt check failed"; \
		/bin/false; \
	fi
	echo "-- checking with govet"
	$(GO) vet -unsafeptr=false
	echo "-- checking for dead code"
	deadcode
	echo "-- checking with varcheck"
	varcheck .
	echo "-- checking cyclometric complexity > $(GOCYCLO)"
	gocyclo -over $(GOCYCLO) $(PKGFILES_notest)

cover: coverage
	$(GO) tool cover -func=coverage.txt

htmlcover: coverage
	$(GO) tool cover -html=coverage.txt

instrument-binary-contained:
	docker run --rm --name instrument-binary --entrypoint "/bin/sh" -v $(shell pwd):/go/src/github.com/mendersoftware/mender-artifact golang:1.22 -c "cd /go/src/github.com/mendersoftware/mender-artifact && go install github.com/mendersoftware/gobinarycoverage@latest && make instrument-binary"

instrument-binary:
	git apply patches/0001-Instrument-with-coverage.patch
	gobinarycoverage github.com/mendersoftware/mender-artifact

coverage:
	rm -f coverage.txt
	go test -tags '$(TAGS)' -covermode=atomic -coverpkg=$(PKGS) -coverprofile=coverage.txt ./...

.PHONY: help build clean get-tools test check \
	cover htmlcover coverage tooldep install-autocomplete-scripts \
	instrument-binary

## mender-artifact 4.2.0~git20250829.ac49a72

=== debian/changelog ===
mender-artifact (4.2.0~git20250829.ac49a72-1+debian+bookworm+builder2020463386) experimental; urgency=medium

  * Release 4.2.0~git20250829.ac49a72-
    1+debian+bookworm+builder2020463386. See online docs for complete
    changelog

 -- root <root@3b92d64d9ba9>  Wed, 03 Sep 2025 20:12:47 +0000

=== debian/control ===
Source: mender-artifact
Maintainer: Mender Team <mender@northern.tech>
Section: devel
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9)

Package: mender-artifact
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssh-client, e2fsprogs, mtools, dosfstools
Description: Mender client
 Mender is an open source over-the-air (OTA) software updater for embedded Linux devices.
 mender-artifact is a cli tool that creates, signs, reads or modify a Mender artifact, which is a
 file that can be recognized by its .mender suffix. Mender artifacts can contain binaries, metadata,
 checksums, signatures and scripts that are used during a deployment.

## mender-artifact 4.2.0~git20250910.9d194e0

=== debian/changelog ===
mender-artifact (4.2.0~git20250910.9d194e0-1+ubuntu+jammy+builder2032845207) experimental; urgency=medium

  * Release 4.2.0~git20250910.9d194e0-1+ubuntu+jammy+builder2032845207.
    See online docs for complete changelog

 -- root <root@af78f154006c>  Wed, 10 Sep 2025 20:16:18 +0000

## mender-artifact 4.2.0~git20250912.3c652a0

=== debian/changelog ===
mender-artifact (4.2.0~git20250912.3c652a0-1+ubuntu+noble+builder2041052643) experimental; urgency=medium

  * Release 4.2.0~git20250912.3c652a0-1+ubuntu+noble+builder2041052643.
    See online docs for complete changelog

 -- root <root@066d78c57bd6>  Mon, 15 Sep 2025 20:17:52 +0000

## mender-artifact 4.2.0~git20250917.aad6c37

=== debian/changelog ===
mender-artifact (4.2.0~git20250917.aad6c37-1+ubuntu+noble+builder2050727475) experimental; urgency=medium

  * Release 4.2.0~git20250917.aad6c37-1+ubuntu+noble+builder2050727475.
    See online docs for complete changelog

 -- root <root@72b223789f8a>  Fri, 19 Sep 2025 20:18:49 +0000

## mender-artifact 4.2.0~git20250922.d83a016

=== debian/changelog ===
mender-artifact (4.2.0~git20250922.d83a016-1+debian+bullseye+builder2058062628) experimental; urgency=medium

  * Release 4.2.0~git20250922.d83a016-
    1+debian+bullseye+builder2058062628. See online docs for complete
    changelog

 -- root <root@c4fb50a73f42>  Tue, 23 Sep 2025 20:16:19 +0000

## mender-artifact 4.2.0~git20250924.0d70036

=== debian/changelog ===
mender-artifact (4.2.0~git20250924.0d70036-1+ubuntu+noble+builder2072824469) experimental; urgency=medium

  * Release 4.2.0~git20250924.0d70036-1+ubuntu+noble+builder2072824469.
    See online docs for complete changelog

 -- root <root@25a5ce274900>  Tue, 30 Sep 2025 20:22:09 +0000

## mender-artifact 4.2.0~git20251002.814ed9c

=== debian/changelog ===
mender-artifact (4.2.0~git20251002.814ed9c-1+ubuntu+noble+builder2091260108) experimental; urgency=medium

  * Release 4.2.0~git20251002.814ed9c-1+ubuntu+noble+builder2091260108.
    See online docs for complete changelog

 -- root <root@d1aa4ef3a344>  Thu, 09 Oct 2025 20:37:07 +0000

## mender-artifact 4.2.0~git20251010.95714cf

=== Makefile ===
--- 
+++ 
@@ -132,7 +132,7 @@
 	mtools --version
 
 test: tooldep
-	$(GO) test -v $(PKGS)
+	$(GO) test -v ./...
 
 extracheck:
 	echo "-- checking if code is gofmt'ed"

=== debian/changelog ===
mender-artifact (4.2.0~git20251010.95714cf-1+ubuntu+noble+builder2097263110) experimental; urgency=medium

  * Release 4.2.0~git20251010.95714cf-1+ubuntu+noble+builder2097263110.
    See online docs for complete changelog

 -- root <root@3c8e1fb3d3de>  Mon, 13 Oct 2025 20:30:01 +0000

## mender-artifact 4.2.0~git20251014.e6f2f29

=== debian/changelog ===
mender-artifact (4.2.0~git20251014.e6f2f29-1+ubuntu+noble+builder2099490389) experimental; urgency=medium

  * Release 4.2.0~git20251014.e6f2f29-1+ubuntu+noble+builder2099490389.
    See online docs for complete changelog

 -- root <root@ebfed19a0111>  Tue, 14 Oct 2025 20:29:08 +0000

## mender-artifact 4.2.0~git20251015.478f409

=== debian/changelog ===
mender-artifact (4.2.0~git20251015.478f409-1+debian+bullseye+builder2104346558) experimental; urgency=medium

  * Release 4.2.0~git20251015.478f409-
    1+debian+bullseye+builder2104346558. See online docs for complete
    changelog

 -- root <root@3073e9468451>  Thu, 16 Oct 2025 20:28:29 +0000

## mender-artifact 4.3.0~git20251021.f655424

=== debian/changelog ===
mender-artifact (4.3.0~git20251021.f655424-1+ubuntu+noble+builder2142334790) experimental; urgency=medium

  * Release 4.3.0~git20251021.f655424-1+ubuntu+noble+builder2142334790.
    See online docs for complete changelog

 -- root <root@bf95cecad0c4>  Wed, 05 Nov 2025 20:27:09 +0000

## mender-artifact 4.3.0~git20251106.598e847

=== debian/changelog ===
mender-artifact (4.3.0~git20251106.598e847-1+ubuntu+noble+builder2223060572) experimental; urgency=medium

  * Release 4.3.0~git20251106.598e847-1+ubuntu+noble+builder2223060572.
    See online docs for complete changelog

 -- root <root@f261961838fb>  Thu, 18 Dec 2025 20:27:29 +0000

## mender-artifact 4.3.0~git20251219.fc39b5e

=== debian/changelog ===
mender-artifact (4.3.0~git20251219.fc39b5e-1+ubuntu+noble+builder2244087682) experimental; urgency=medium

  * Release 4.3.0~git20251219.fc39b5e-1+ubuntu+noble+builder2244087682.
    See online docs for complete changelog

 -- root <root@2cbe5db8fc87>  Sun, 04 Jan 2026 20:26:21 +0000

## mender-artifact 4.3.0~git20260105.1b49884

=== debian/changelog ===
mender-artifact (4.3.0~git20260105.1b49884-1+ubuntu+noble+builder2250181196) experimental; urgency=medium

  * Release 4.3.0~git20260105.1b49884-1+ubuntu+noble+builder2250181196.
    See online docs for complete changelog

 -- root <root@9f49b9997864>  Wed, 07 Jan 2026 20:28:53 +0000

## mender-artifact 4.3.0~git20260108.f1105fc

=== debian/changelog ===
mender-artifact (4.3.0~git20260108.f1105fc-1+ubuntu+noble+builder2270116093) experimental; urgency=medium

  * Release 4.3.0~git20260108.f1105fc-1+ubuntu+noble+builder2270116093.
    See online docs for complete changelog

 -- root <root@63f11cbd7fd3>  Sun, 18 Jan 2026 20:16:21 +0000

## mender-artifact 4.3.0~git20260119.c2d9528

=== debian/changelog ===
mender-artifact (4.3.0~git20260119.c2d9528-1+ubuntu+noble+builder2274676335) experimental; urgency=medium

  * Release 4.3.0~git20260119.c2d9528-1+ubuntu+noble+builder2274676335.
    See online docs for complete changelog

 -- root <root@2f78eadf94d6>  Tue, 20 Jan 2026 20:19:01 +0000

## mender-artifact 4.3.0~git20260121.398c86c

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,9 @@
 	@echo
 	@echo "    help:               Print this usage information."
 	@echo
-	@echo "    build:              Build the code on the localhost"
-	@echo "    build-contained:    Build the code in the container"
+	@echo "    build:              Build mender-artifact natively"
+	@echo "    build-cover:        Build mender-artifact instrumented for code coverage"
+	@echo "    build-natives:      Cross-build mender-artifact for all platforms"
 	@echo "    clean:              Remove build artifacts"
 	@echo
 	@echo "    install:            Install build artifacts on the locally"
@@ -57,6 +58,9 @@
 
 build:
 	$(GO) build $(GO_LDFLAGS) $(BUILDV) -tags '$(TAGS)'
+
+build-cover:
+	$(GO) build -cover $(GO_LDFLAGS) $(BUILDV) -tags '$(TAGS)'
 
 PLATFORMS := darwin linux windows
 
@@ -84,18 +88,6 @@
 build-native-windows: .nopkcs11 $(PKGNAME)-windows.exe
 
 build-natives: build-native-linux build-native-mac build-native-windows
-
-build-contained:
-	rm -f mender-artifact && \
-	image_id=$$(docker build -f Dockerfile -q .) && \
-	docker run --rm --entrypoint "/bin/sh" -v $(shell pwd):/binary $$image_id -c "cp /go/bin/mender-artifact /binary" && \
-	docker image rm $$image_id
-
-build-natives-contained:
-	rm -f mender-artifact-darwin mender-artifact-linux mender-artifact-windows.exe && \
-	image_id=$$(docker build -f Dockerfile.binaries -q .) && \
-	docker run --rm --entrypoint "/bin/sh" -v $(shell pwd):/binary $$image_id -c "cp /go/bin/mender-artifact* /binary" && \
-	docker image rm $$image_id
 
 install:
 	@$(GO) install $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

=== debian/changelog ===
mender-artifact (4.3.0~git20260121.398c86c-1+ubuntu+noble+builder2277394286) experimental; urgency=medium

  * Release 4.3.0~git20260121.398c86c-1+ubuntu+noble+builder2277394286.
    See online docs for complete changelog

 -- root <root@425ae208710b>  Wed, 21 Jan 2026 20:30:16 +0000

## mender-artifact 4.3.0~git20260123.20ba4cd

=== debian/changelog ===
mender-artifact (4.3.0~git20260123.20ba4cd-1+ubuntu+noble+builder2287314913) experimental; urgency=medium

  * Release 4.3.0~git20260123.20ba4cd-1+ubuntu+noble+builder2287314913.
    See online docs for complete changelog

 -- root <root@a8d6c44d748d>  Mon, 26 Jan 2026 20:29:48 +0000

## mender-artifact 4.3.0~git20260128.5f0f3f0

=== debian/changelog ===
mender-artifact (4.3.0~git20260128.5f0f3f0-1+ubuntu+noble+builder2301553844) experimental; urgency=medium

  * Release 4.3.0~git20260128.5f0f3f0-1+ubuntu+noble+builder2301553844.
    See online docs for complete changelog

 -- root <root@7767b6fc95d6>  Mon, 02 Feb 2026 20:14:48 +0000

## mender-artifact 4.3.0~git20260203.c8b8401

=== debian/changelog ===
mender-artifact (4.3.0~git20260203.c8b8401-1+ubuntu+noble+builder2303778094) experimental; urgency=medium

  * Release 4.3.0~git20260203.c8b8401-1+ubuntu+noble+builder2303778094.
    See online docs for complete changelog

 -- root <root@2616578691b3>  Tue, 03 Feb 2026 20:29:37 +0000

## mender-artifact 4.3.0~git20260204.89c7da8

=== debian/changelog ===
mender-artifact (4.3.0~git20260204.89c7da8-1+ubuntu+noble+builder2306317847) experimental; urgency=medium

  * Release 4.3.0~git20260204.89c7da8-1+ubuntu+noble+builder2306317847.
    See online docs for complete changelog

 -- root <root@8dc0accbfd93>  Wed, 04 Feb 2026 20:14:45 +0000

## mender-artifact 4.3.0~git20260205.f646310

=== debian/changelog ===
mender-artifact (4.3.0~git20260205.f646310-1+ubuntu+noble+builder2313081950) experimental; urgency=medium

  * Release 4.3.0~git20260205.f646310-1+ubuntu+noble+builder2313081950.
    See online docs for complete changelog

 -- root <root@57b92cf21a19>  Sun, 08 Feb 2026 20:16:28 +0000

## mender-artifact 4.3.0~git20260209.4424033

=== debian/changelog ===
mender-artifact (4.3.0~git20260209.4424033-1+ubuntu+noble+builder2315263077) experimental; urgency=medium

  * Release 4.3.0~git20260209.4424033-1+ubuntu+noble+builder2315263077.
    See online docs for complete changelog

 -- root <root@3238ba212bde>  Mon, 09 Feb 2026 20:12:04 +0000

## mender-artifact 4.3.0~git20260210.8b7000e

=== debian/changelog ===
mender-artifact (4.3.0~git20260210.8b7000e-1+ubuntu+noble+builder2317820278) experimental; urgency=medium

  * Release 4.3.0~git20260210.8b7000e-1+ubuntu+noble+builder2317820278.
    See online docs for complete changelog

 -- root <root@6b14cc5160aa>  Tue, 10 Feb 2026 20:16:39 +0000

## mender-artifact 4.3.0

=== debian/changelog ===
mender-artifact (4.3.0-1+ubuntu+noble) stable; urgency=medium

  * Release 4.3.0-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@b9f2895f4398>  Thu, 12 Feb 2026 10:46:25 +0000

## mender-artifact 4.4.0~git20260212.97dae7c

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,7 @@
 TOOLS = \
 	github.com/fzipp/gocyclo/... \
 	github.com/opennota/check/cmd/varcheck \
-	github.com/mendersoftware/deadcode \
-	github.com/mendersoftware/gobinarycoverage
+	github.com/mendersoftware/deadcode
 
 VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)
 
@@ -148,17 +147,9 @@
 htmlcover: coverage
 	$(GO) tool cover -html=coverage.txt
 
-instrument-binary-contained:
-	docker run --rm --name instrument-binary --entrypoint "/bin/sh" -v $(shell pwd):/go/src/github.com/mendersoftware/mender-artifact golang:1.22 -c "cd /go/src/github.com/mendersoftware/mender-artifact && go install github.com/mendersoftware/gobinarycoverage@latest && make instrument-binary"
-
-instrument-binary:
-	git apply patches/0001-Instrument-with-coverage.patch
-	gobinarycoverage github.com/mendersoftware/mender-artifact
-
 coverage:
 	rm -f coverage.txt
 	go test -tags '$(TAGS)' -covermode=atomic -coverpkg=$(PKGS) -coverprofile=coverage.txt ./...
 
 .PHONY: help build clean get-tools test check \
-	cover htmlcover coverage tooldep install-autocomplete-scripts \
-	instrument-binary
+	cover htmlcover coverage tooldep install-autocomplete-scripts

=== debian/changelog ===
mender-artifact (4.4.0~git20260212.97dae7c-1+ubuntu+noble+builder2327349554) experimental; urgency=medium

  * Release 4.4.0~git20260212.97dae7c-1+ubuntu+noble+builder2327349554.
    See online docs for complete changelog

 -- root <root@57a5c226b4b8>  Sun, 15 Feb 2026 20:16:12 +0000
